summaryrefslogtreecommitdiffstats
path: root/support
diff options
context:
space:
mode:
Diffstat (limited to 'support')
-rwxr-xr-xsupport/scripts/generate-gitlab-ci-yml17
1 files changed, 17 insertions, 0 deletions
diff --git a/support/scripts/generate-gitlab-ci-yml b/support/scripts/generate-gitlab-ci-yml
new file mode 100755
index 0000000000..431911d370
--- /dev/null
+++ b/support/scripts/generate-gitlab-ci-yml
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+set -e
+set -o pipefail
+
+input="${1}"
+
+cat "${input}"
+
+(
+ cd configs
+ LC_ALL=C ls -1 *_defconfig
+) \
+ | sed 's/$/: *defconfig/'
+
+./support/testing/run-tests -l 2>&1 \
+ | sed -r -e '/^test_run \((.*)\).*/!d; s//\1: *runtime_test/' \
+ | LC_ALL=C sort
OpenPOWER on IntegriCloud